Package org.drinkless.tdlib

# Class TdApi.SetBotUpdatesStatus

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetBotUpdatesStatus

Enclosing class:
  `TdApi`

public static class TdApi.SetBotUpdatesStatus extends TdApi.Function<TdApi.Ok>
Informs the server about the number of pending bot updates if they haven't been processed for a long time; for bots only.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `errorMessage`
  The last error message.
  `int`
  `pendingUpdateCount`
  The number of pending updates.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetBotUpdatesStatus()`
  Default constructor for a function, which informs the server about the number of pending bot updates if they haven't been processed for a long time; for bots only.
  `SetBotUpdatesStatus(int pendingUpdateCount, String errorMessage)`
  Creates a function, which informs the server about the number of pending bot updates if they haven't been processed for a long time; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### pendingUpdateCount

    public int pendingUpdateCount
    The number of pending updates.

  - ### errorMessage

    public String errorMessage
    The last error message.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetBotUpdatesStatus

    public SetBotUpdatesStatus()
    Default constructor for a function, which informs the server about the number of pending bot updates if they haven't been processed for a long time; for bots only.

    Returns `Ok`

  - ### SetBotUpdatesStatus

    public SetBotUpdatesStatus(int pendingUpdateCount, String errorMessage)
    Creates a function, which informs the server about the number of pending bot updates if they haven't been processed for a long time; for bots only.

    Returns `Ok`

    Parameters:
      `pendingUpdateCount` - The number of pending updates.
      `errorMessage` - The last error message.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR